Package org.springframework.transaction.reactive

# Class TransactionContext

java.lang.Object
org.springframework.transaction.reactive.TransactionContext

public class TransactionContext extends Object
Mutable transaction context that encapsulates transactional synchronizations and resources in the scope of a single transaction. Transaction context is typically held by an outer `TransactionContextHolder` or referenced directly within from the subscriber context.

Since:
  5.2
Author:
  Mark Paluch, Juergen Hoeller
See Also:
  - `TransactionContextManager`
  - `Context`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`Integer`
`getCurrentTransactionIsolationLevel()`
`String`
`getCurrentTransactionName()`
`TransactionContext`
`getParent()`
`Map<Object,Object>`
`getResources()`
`Set<TransactionSynchronization>`
`getSynchronizations()`
`boolean`
`isActualTransactionActive()`
`boolean`
`isCurrentTransactionReadOnly()`
`void`
`setActualTransactionActive(boolean actualTransactionActive)`
`void`
`setCurrentTransactionIsolationLevel(Integer currentTransactionIsolationLevel)`
`void`
`setCurrentTransactionName(String currentTransactionName)`
`void`
`setCurrentTransactionReadOnly(boolean currentTransactionReadOnly)`
`void`
`setSynchronizations(Set<TransactionSynchronization> synchronizations)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getParent

@Nullable public TransactionContext getParent()

### getResources

public Map<Object,Object> getResources()

### setSynchronizations

public void setSynchronizations(@Nullable Set<TransactionSynchronization> synchronizations)

### getSynchronizations

@Nullable public Set<TransactionSynchronization> getSynchronizations()

### setCurrentTransactionName

public void setCurrentTransactionName(@Nullable String currentTransactionName)

### getCurrentTransactionName

@Nullable public String getCurrentTransactionName()

### setCurrentTransactionReadOnly

public void setCurrentTransactionReadOnly(boolean currentTransactionReadOnly)

### isCurrentTransactionReadOnly

public boolean isCurrentTransactionReadOnly()

### setCurrentTransactionIsolationLevel

public void setCurrentTransactionIsolationLevel(@Nullable Integer currentTransactionIsolationLevel)

### getCurrentTransactionIsolationLevel

@Nullable public Integer getCurrentTransactionIsolationLevel()

### setActualTransactionActive

public void setActualTransactionActive(boolean actualTransactionActive)

### isActualTransactionActive

public boolean isActualTransactionActive()

### clear

public void clear()